Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.engine
Class Engine

    java.lang.Object
      rendsite.engine.Engine

    public class Engine

extends java.lang.Object

Main engine.

     1- TIME is pushed on the stack.  It is then set to the most recent datetime from all the metafiles.
     2- SCOPE is pushed.
     3- (obsolete)
     4- FILE list is prepared.
     5- DIRECTORY list is prepared.
     6- DIRECTORYs processed.  Each is an entry into a new frame.
     7- FILEs are processed.  (Yes, seems silly, but its a forward thing.)
     8- Process the frame and the frame is exited.
     9- Clean, if configuration allows it.
     10- SCOPE is popped
     11- TIME is restored.

Author:
  erich

       10NOV09 - EPG - First package release.
       02APR10 - EPG - Allow gaps of up to 100 in the ply numbers.

Field Summary
`static int` | `MAX_FAULTS_TO_HOLD`
`static int` | `MAX_GLOBAL_ERRORS_TO_HOLD`
`static int` | `MAX_PLY_GAP`

Constructor Summary
`Engine()`

Method Summary
`void` | `run(RendsiteConfiguration configuration, Processor processor, FileContext fcontext, PropertiesContext pcontext, RenderingContext rcontext, Node_Directory startDirectory)` Run.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_FAULTS_TO_HOLD

    public static final int MAX_FAULTS_TO_HOLD

See Also:
  Constant Field Values

### MAX_GLOBAL_ERRORS_TO_HOLD

    public static final int MAX_GLOBAL_ERRORS_TO_HOLD

See Also:
  Constant Field Values

### MAX_PLY_GAP

    public static final int MAX_PLY_GAP

See Also:
  Constant Field Values

Constructor Detail

### Engine

    public Engine()

Method Detail

### run

    public void run(RendsiteConfiguration configuration,
                    Processor processor,
                    FileContext fcontext,
                    PropertiesContext pcontext,
                    RenderingContext rcontext,
                    Node_Directory startDirectory)
             throws things.common.ThingsException

  Run. This is the only way into the engine, so it is synchronized. The data per run is safe because of this.

  Parameters:
    `processor` -
    `fcontext` -
    `pcontext` -
    `rcontext` -
    `startDirectory` -
  Throws:
    `things.common.ThingsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.